Bug 1123571 - [abrt] xlog: g_realloc(): xlog killed by SIGABRT
Summary: [abrt] xlog: g_realloc(): xlog killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xlog
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f35c4dab1bf13e281887d213b03...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-26 18:37 UTC by Chris Kelling
Modified: 2015-06-29 21:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:46:30 UTC


Attachments (Terms of Use)
File: backtrace (39.75 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: cgroup (181 bytes, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: core_backtrace (22.09 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: dso_list (7.44 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: environ (1.95 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: maps (40.14 KB, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: open_fds (373 bytes, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-07-26 18:37 UTC, Chris Kelling
no flags Details

Description Chris Kelling 2014-07-26 18:37:20 UTC
Description of problem:
I was trying to open a saved file for the program (one that was created by xlog) and then the program crashed.

Version-Release number of selected component:
xlog-2.0.6-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/xlog
crash_function: g_realloc
executable:     /usr/bin/xlog
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #8 g_realloc at gmem.c:169
 #9 g_realloc_n at gmem.c:395
 #10 miSubtractNonO1 at gdkregion-generic.c:1311
 #11 miRegionOp at gdkregion-generic.c:1021
 #12 gdk_region_subtract at gdkregion-generic.c:1492
 #13 remove_child_area at gdkwindow.c:793
 #14 recompute_visible_regions_internal at gdkwindow.c:997
 #16 recompute_visible_regions at gdkwindow.c:1119
 #17 gdk_window_hide at gdkwindow.c:7240
 #18 gtk_button_unmap at gtkbutton.c:1228

Comment 1 Chris Kelling 2014-07-26 18:37:22 UTC
Created attachment 921208 [details]
File: backtrace

Comment 2 Chris Kelling 2014-07-26 18:37:23 UTC
Created attachment 921209 [details]
File: cgroup

Comment 3 Chris Kelling 2014-07-26 18:37:24 UTC
Created attachment 921210 [details]
File: core_backtrace

Comment 4 Chris Kelling 2014-07-26 18:37:25 UTC
Created attachment 921211 [details]
File: dso_list

Comment 5 Chris Kelling 2014-07-26 18:37:26 UTC
Created attachment 921212 [details]
File: environ

Comment 6 Chris Kelling 2014-07-26 18:37:26 UTC
Created attachment 921213 [details]
File: limits

Comment 7 Chris Kelling 2014-07-26 18:37:27 UTC
Created attachment 921214 [details]
File: maps

Comment 8 Chris Kelling 2014-07-26 18:37:28 UTC
Created attachment 921215 [details]
File: open_fds

Comment 9 Chris Kelling 2014-07-26 18:37:29 UTC
Created attachment 921216 [details]
File: proc_pid_status

Comment 10 Chris Kelling 2014-07-26 18:37:30 UTC
Created attachment 921217 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:28:49 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:46:30 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.